@inject NavigationManager navMan

<div class="col-7 card" style="padding: 24px; height: unset;"> <!-- share game card -->
    <h4 class="card-title">Share game link</h4>
    <div class="input-group mb-3">
        <div class="input-group-prepend">
            <span class="input-group-text">Game link:</span>
        </div>
        <input type="text" class="form-control" aria-label="Game link" onclick="this.focus();this.select()"
            value="@getGameLink()" readonly="readonly" style="background-color: white;">
    </div>
</div>

@code {
    private string getGameLink(){
        return navMan.Uri;
    }
}